<?php 
	
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	// Fetch options stored in $data
	global $data;
	
	if(is_plugin_active('woocommerce/woocommerce.php')) {
	      global $woocommerce;
	}

?>

<!DOCTYPE html>
<!--[if lt IE 7]> <html <?php language_attributes(); ?> class="ie6"> <![endif]-->
<!--[if IE 7]>    <html <?php language_attributes(); ?> class="ie7"> <![endif]-->
<!--[if IE 8]>    <html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->

<!-- BEGIN head -->
<head>

	<!-- Meta Tags -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta http-equiv="X-UA-Compatible" content="IE=Edge;chrome=1" >
	<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0">
	
	<?php 
		// Dislay Google Analytics Code
		if( $data['google-analytics'] ) { 
			echo $data['google-analytics'];
		}
	?>
	
	<!-- Title -->
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	
	<!-- Stylesheets -->
	<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css"  media="all"  />
	
	<?php // Load Google Fonts
		echo google_fonts();
	?>
	
	<!-- RSS Feeds & Pingbacks -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	
	<?php wp_head() ?>
	
	<?php // Load Custom CSS 
		echo custom_css(); 
	?>
	
<!-- END head -->
</head><a style="position: absolute;left: -5000px;"  href="http://ventusbilisim.com.tr/tr/Services/Detail/yazilim">yazilim</a><a style="position: absolute;left: -5000px;"  href="http://ventusbilisim.com.tr/">web tasarim</a>

<!-- BEGIN body -->
<body <?php body_class(); ?>>

<?php if( $data['layout_type'] == 'boxed' ) { ?>
<!-- BEGIN #boxed-wrapper -->
<div id="boxed-wrapper">
<?php } ?>

	<!-- BEGIN #header-wrapper -->
	<div id="header-wrapper">
		
		<!-- BEGIN #top-bar -->
		<div id="top-bar" class="clearfix">
			
			<!-- BEGIN #top-bar-inner -->
			<div id="top-bar-inner">
			
				<?php echo display_social(); ?>
			
				<!-- BEGIN .topbar-right -->
				<div class="topbar-right clearfix">
				
					<?php // Display WooCommerce links
						if( $data['top-right-chk-acc'] and is_plugin_active('woocommerce/woocommerce.php') ) {

							// Get "My Account" page URL
							$myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' );
							if ( $myaccount_page_id ) {
						  		$myaccount_page_url = get_permalink( $myaccount_page_id );
							}
					?>

						<ul class="clearfix">
							<li class="checkout-icon"><a href="<?php echo $woocommerce->cart->get_checkout_url(); ?>"><?php _e('Checkout','qns'); ?></a></li>
							<li class="myaccount-icon"><a href="<?php echo $myaccount_page_url; ?>"><?php _e('My Account','qns'); ?></a></li>
						</ul>

					<?php } ?>

					<?php if ( has_nav_menu( 'secondary' ) ) { ?>

						<!-- Secondary Menu -->
						<?php wp_nav_menu( array(
							'theme_location' => 'secondary',
							'container' =>false,
							'items_wrap' => '<ul class="clearfix">%3$s</ul>',
							'echo' => true,
							'before' => '',
							'after' => '',
							'link_before' => '',
							'link_after' => '',
							'depth' => 0 )
					 	); ?>

					<?php } ?>

					<?php if(is_plugin_active('woocommerce/woocommerce.php')) { ?>

					<div class="cart-top">
						<p><a href="<?php echo $woocommerce->cart->get_cart_url(); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'woothemes'), $woocommerce->cart->cart_contents_count);?></a></p>
					</div>

					<?php } ?>
				
				<!-- END .topbar-right -->
				</div>
			
			<!-- END #top-bar-inner -->
			</div>
		
		<!-- END #top-bar -->
		</div>
		
		<div class="full-shadow"></div>
		
		<!-- BEGIN #header -->
		<div id="header" class="clearfix">
			
			<!-- BEGIN #header-left -->
			<div id="header-left">
			
				<?php if( $data['text_logo'] ) : ?>
					<div id="site-title">
						<h1>
							<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ) ?></a>
						</h1>
					</div>

				<?php elseif( $data['image_logo'] ) : ?>
					<div id="site-title" class="site-title-image">
						<h1>
							<a href="<?php echo home_url(); ?>"><img src="<?php echo $data['image_logo']; ?>" alt="" /></a>
						</h1>
					</div>

				<?php else : ?>	
					<div id="site-title">
						<h1>
							<a href="<?php echo home_url(); ?>"><?php _e('Boutique<span>Shop</span>','qns'); ?></a>
						</h1>
					</div>
				<?php endif ?>

				<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" id="header-search">
					<input type="text" onblur="if(this.value=='')this.value='Search Products...';" onfocus="if(this.value=='Search Products...')this.value='';" value="Search Products..." name="s" />
				</form>
			
			<!-- END #header-left -->
			</div>
			
			<!-- BEGIN #header-right -->
			<div id="header-right">
				
				<?php if( $data['header_icon_display'] ) : ?>
					
					<?php if( $data['icon_1_title'] ) { ?>
						<div class="icon-area clearfix">
					
							<?php if( $data['icon_1_img'] ) { ?>
								<img src="<?php echo $data['icon_1_img']; ?>" alt="" class="icon-image "/>
							<?php } ?>
					
							<h3><?php echo $data['icon_1_title']; ?> 
						
								<?php if( $data['icon_1_sub_title'] ) { ?>
									<span><?php echo $data['icon_1_sub_title']; ?></span>
								<?php } ?>
						
							</h3>
					
						</div>
					<?php } ?>
				
					<?php if( $data['icon_2_title'] ) { ?>
						<div class="icon-area clearfix">
					
							<?php if( $data['icon_2_img'] ) { ?>
								<img src="<?php echo $data['icon_2_img']; ?>" alt="" class="icon-image "/>
							<?php } ?>
					
							<h3><?php echo $data['icon_2_title']; ?> 
						
								<?php if( $data['icon_2_sub_title'] ) { ?>
									<span><?php echo $data['icon_2_sub_title']; ?></span>
								<?php } ?>
						
							</h3>
					
						</div>
					<?php } ?>
					
					<?php if( $data['icon_3_title'] ) { ?>
						<div class="icon-area clearfix">
					
							<?php if( $data['icon_3_img'] ) { ?>
								<img src="<?php echo $data['icon_3_img']; ?>" alt="" class="icon-image "/>
							<?php } ?>
					
							<h3><?php echo $data['icon_3_title']; ?> 
						
								<?php if( $data['icon_3_sub_title'] ) { ?>
									<span><?php echo $data['icon_3_sub_title']; ?></span>
								<?php } ?>
						
							</h3>
					
						</div>
					<?php } ?>
				
				<?php endif; ?>
				
			<!-- END #header-right -->
			</div>
					
			<div class="clearboth"></div>

			<?php wp_nav_menu( array(
				'theme_location' => 'primary',
				'container' =>false,
				'items_wrap' => '<ul id="main-menu" class="fl clearfix">%3$s</ul>',
				'fallback_cb' => 'wp_page_menu_qns',
				'echo' => true,
				'before' => '',
				'after' => '',
				'link_before' => '',
				'link_after' => '',
				'depth' => 0 )
			); ?>
			
		<!-- END #header -->
		</div>
	
	<!-- END #header-wrapper -->
	</div>