<?php 

/* 
Template Name: Lookbook
*/ 

?>

<?php get_header(); ?>
	
	<!-- BEGIN #content-wrapper -->
	<div id="content-wrapper" class="clearfix page-content">
		
		<!-- BEGIN #main-content -->
		<div <?php echo sidebar_position('primary-content'); ?>>
			
			<h2 class="page-title"><?php the_title(); ?></h2>
			
			<div class="shadow-wrapper margin1">
				<div class="left-shadow"></div>
				<div class="mid-shadow"></div>
				<div class="right-shadow"></div>
			</div>
			
			<?php the_content(); ?>

			<?php
				if( $data['items_per_page'] ) { 
					$lookbook_perpage = $data['items_per_page'];
				}
				else {
					$lookbook_perpage = '10';
				}
			
				$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
				query_posts( "post_type=lookbook&posts_per_page=$lookbook_perpage&paged=$paged" );

		    	if( have_posts() ) : ?>
				
				<ul class="lookbook-3cols clearfix">
		
				<?php while( have_posts() ) : the_post(); ?>

					<li>
						
						<?php				
							if(has_post_thumbnail()) {
								$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'lookbook-thumb' );
								echo '<a href="' . get_permalink() . '"><img src="' . $src[0] . '" alt="" class="lookbook-image" /></a>';
							}		
						?>
						
						<?php
							
							// Get Lookbook Likes
							$get_likes = get_post_meta($post->ID, $prefix.'lookbook_likes', true);
							
							if ($get_likes != '') {
								$lookbook_likes = $get_likes;
							}
							
							else {
								$lookbook_likes = '0';
							}
							
							// Get Lookbook Title
							$get_lookbook_link = get_post_meta($post->ID, $prefix.'lookbook_external_link', true);
							
							if ($get_lookbook_link != '') {
								$lookbook_link = '<a href="' . $get_lookbook_link . '" target="_blank">';
							}
							
							else {
								$lookbook_link = '<a href="' . get_permalink() . '">';
							}
						
						?>
						
						<h4><?php echo $lookbook_link; ?><?php the_title(); ?></a></h4>
						
						<div class="lookbook-info clearfix">
							<p>
								<span class="lookbook-date"><?php the_time('F j, Y'); ?></span>
								<span class="lookbook-likes">
									<a href="#" id="<?php echo $post->ID; ?>" class="like-button">
										<span class="like-count"><?php echo $lookbook_likes; ?></span>
									</a>
									
								</span>
							</p>
						</div>
						<?php the_excerpt(); ?>
						
						<div class="lb_tags">
							<?php the_tags( __('Tagged: ','qns'), ' ' ); ?>
						</div>
					
					</li>
						
				<?php endwhile; ?>
				
				</ul>
				
				<?php else : ?>

					<p><?php _e('No items have been added to the Lookbook yet','qns'); ?></p>
				
				<?php endif; ?>
				
				<?php if ( $wp_query->max_num_pages > 1 ) : ?>

					<div class="clearboth"></div>

					<?php

						if ( is_post_type( "event" )) {
							$page_class = '';
						}
						elseif ( is_post_type( "testimonial" )) {
							$page_class = '';
						}
						else {
							$page_class = 'page-pagination-full';
						} ?>
						
						<div class="shadow-wrapper margin5 clearfix">
							<div class="left-shadow"></div>
							<div class="mid-shadow"></div>
							<div class="right-shadow"></div>
						</div>
						
					<?php if(is_plugin_active('wp-pagenavi/wp-pagenavi.php')) {

					wp_pagenavi(); 

					} else { 

						echo '<!--BEGIN .page-pagination -->';
						echo '<div class="page-pagination ' . $page_class . '">';

							echo '<p class="clearfix">';
								echo '<span class="fl">' . get_next_posts_link( __( '&larr; Older posts', 'qns' ) ) . '</span>';
								echo '<span class="fr">' . get_previous_posts_link( __( 'Newer posts &rarr;', 'qns' ) ) . '</span>';
							echo '</p>';

						echo '<!--END .page-pagination -->';
						echo '</div>';

					} ?>

				<?php endif; ?>

		<!-- END #main-content -->
		</div>
		
		<?php get_sidebar(); ?>
		
	<!-- END #content-wrapper -->
	</div>

<?php get_footer(); ?>